5 Replies Latest reply on Aug 27, 2011 10:21 PM by Rick Gerard

    5.5 back to 5.0

    thralthamidor Level 1

      Hello I purchased a new computer and CSS 5.5 as an upgrade from CS4. It has been a disaster as far as plug-ins. Nothing from Red Giant (Knoll Light Factory, Text Anarchy, Composite Wizard, etc.) works in 5.5 so I can't use any old projects like the one I need to get out now. Apparently they all work with AE5 though. I am really stuck, called Adobe but they keep pressing the button that says "There's nothing we can do"...

       

      Where can I get the AE5 download demo? That would give me time to get my projects done until the plugin people catch up (hopefully). Thanks!

        • 1. Re: 5.5 back to 5.0
          Todd_Kopriva Level 8

          > Nothing from Red Giant (Knoll Light Factory, Text Anarchy, Composite Wizard, etc.) works in 5.5

           

           

          Why do you say that?

          • 2. Re: 5.5 back to 5.0
            thralthamidor Level 1

            It doesn't say so in any of the product descriptions but I found this later: http://www.redgiantsoftware.com/support/compatibility/host-applications/

             

            All of these products show to be incompatible with 5.5 on the Mac/10.6. Are you able to get any of these to work in 5.5? If so, PLEASE tell me how you did it, I spent hours trying to figure it out. Thanks. -Derryl

            • 3. Re: 5.5 back to 5.0
              Todd_Kopriva Level 8

              There are no significant differences to the plug-in API between After Effects CS5 and CS5.5. There is no technical reason whatsoever that a plug-in written to work with After Effects CS5 wouldn't work with After Effects CS5.5.

               

              I suspect that Red Giant hasn't updated some of their web pages---but you should contact them directly and ask about each of these plug-ins that you're interested in.

               

              A lot of the plug-in makers have not updated their installers to install the plug-ins into the CS5.5 directories. See this page for details; note that there is a link to Red Giant's page on this issue.

              1 person found this helpful
              • 4. Re: 5.5 back to 5.0
                thralthamidor Level 1

                Very useful information, thank you.

                • 5. Re: 5.5 back to 5.0
                  Rick Gerard Adobe Community Professional & MVP

                  All of the plug-ins you listed were upgraded for CS5. The upgrades will work in CS5.5 as long as you get them installed properly.

                   

                  If you had CS4 re-install it or upgrade the plug-ins that you need to upgrade. There's no reason that you can't have CS4 and CS5 on the same machine. According to the Red Giant chart Coposite wizzard 1.4.5 is compatible with CS5 and not CS5.5. In my experience the only compatibility problem is with the installer. It doesn't see the CS5 application but it will work if you copy the Composite Wizzard folder to the Library/Application Support/Adobe/Common/MediaCore folder.

                   

                  Check the chart on the Red Giant site and make sure the plug-ins you have are all CS5 compatible and then go from there.